export default class Report {
    private readonly instanceId;
    constructor();
    private OperateEx;
    clearData(): Promise<any>;
    registerData(name: string, data: Array<any>): Promise<any>;
    doublePass(value: Boolean): Promise<any>;
    load(fileName: string): Promise<any>;
    loadFromId(reportId: string): Promise<any>;
    /**
     * 导出pdf
     * @param fileName 文件名称，如果不传则返回流
     * @returns 文件或者文件流
     */
    ExportToPdf(fileName: string): Promise<any>;
    exportToHtml(fileName: string): Promise<any>;
    prepare(append?: Boolean): Promise<any>;
    addParameter(name: string, value: string): Promise<any>;
    design(): Promise<any>;
    show(): Promise<any>;
    showPrepared(): Promise<any>;
    print(printerName?: string): Promise<any>;
    printPrepared(printerName?: string): Promise<any>;
    dispose(): Promise<any>;
}
